API Reference
Loss Capture
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/production/portion-checks JWT API KeyGet portion-checks
Query parameters
| From string (date) | — |
| To string (date) | — |
| ProductId string (uuid) | — |
| InventoryItemId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/portion-checks" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/production/portion-checks JWT API KeyCreate portion-checks
Request body
application/json
{
"productId": "00000000-0000-0000-0000-000000000000",
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"specQty": 0,
"measuredQty": 0,
"sampleSize": 0,
"evidenceSourceId": "00000000-0000-0000-0000-000000000000",
"businessDate": "2026-09-30"
}| productId string (uuid) | — |
| inventoryItemId string (uuid) | — |
| specQty number (double) | — |
| measuredQty number (double) | — |
| sampleSize integer (int32) | — |
| evidenceSourceId string (uuid) | — |
| businessDate string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/portion-checks" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"productId": "00000000-0000-0000-0000-000000000000",
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"specQty": 0,
"measuredQty": 0,
"sampleSize": 0,
"evidenceSourceId": "00000000-0000-0000-0000-000000000000",
"businessDate": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/production/staff-meals JWT API KeyGet staff-meals
Query parameters
| From string (date) | — |
| To string (date) | — |
| Location StockBook | — |
| InventoryItemId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/staff-meals" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/production/staff-meals JWT API KeyCreate staff-meals
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"location": "Warehouse",
"shift": "Morning",
"qty": 0,
"reason": "string",
"businessDate": "2026-09-30"
}| inventoryItemId string (uuid) | — |
| location StockBook | — |
| shift OperatingShift | — |
| qty number (double) | — |
| reason string | — |
| businessDate string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/staff-meals" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"location": "Warehouse",
"shift": "Morning",
"qty": 0,
"reason": "string",
"businessDate": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu